{%extends "SvuacAdminBundle::layout.html.twig"%}
{% block title %} {{ parent() }}Register {% endblock title %}
{%block bodyTitle%}
<h3 class="page-title"> Admin
    <small>Création d'un administrateurs du système</small>
</h3>
{%endblock bodyTitle%}
{%block myLocation%}
<li>
    <a href="{{path('svuac_admin_tableau_de_bord')}}">
        <i class="icon-home"></i>
    </a>
    <span class="divider">&nbsp;</span>
</li>
<li>
    <a href="{{path('svuac_admin_les_admin_system')}}">Administration</a>
    <span class="divider">&nbsp;</span>
</li>
<li>
    <a href="#">Créer un administrateur</a>
    <span class="divider-last">&nbsp;</span>
</li>
{%endblock myLocation%}
{% block body %}
{% trans_default_domain 'FOSUserBundle' %}
<div id="page">
    <div class="row-fluid">
        <div class="span12">
            <div class="widget">
                <div class="widget-title">
                    <h4><i class="icon-reorder">
                        </i>Créer un administrateur
                    </h4>
                    <span class="tools">
                        <a href="javascript:;" class="icon-chevron-down"></a>
                        <a href="javascript:;" class="icon-remove"></a>
                    </span>
                </div>
                <div class="widget-body">
                    {% for type, messages in app.session.flashbag.all() %}
                        {% for message in messages %}
                        <div class="flash-{{ type }} alert alert-{{ type }}">
                            <button class="close" data-dismiss="alert">×</button>
                            {{ message }} 
                        </div>
                        {% endfor %}
                    {% endfor %}
                    <form action="{{ path('admin_registration') }}" {{ form_enctype(form) }} method="POST" class="form-horizontal">
                        <div class="row-fluid">
                            <div class="span4">
                            {{ form_label(form.nom, "Nom") }}
                            {{ form_errors(form.nom) }}
                            {{ form_widget(form.nom) }}

                            {{ form_label(form.prenom, "Prénom") }}
                            {{ form_errors(form.prenom) }}
                            {{ form_widget(form.prenom) }}

                            {{ form_label(form.dateNaissance, "Date de naissance") }}
                            {{ form_errors(form.dateNaissance) }}
                            {{ form_widget(form.dateNaissance) }}
                                </div>
                                <div class="span4">
                            {{ form_label(form.username, "Nom d'utilisateur") }}
                            {{ form_errors(form.username) }}
                            {{ form_widget(form.username) }}

                            {{ form_label(form.plainPassword.first, "Mot de passe") }}
                            {{ form_errors(form.plainPassword.first) }}
                            {{ form_widget(form.plainPassword.first) }}

                            {{ form_label(form.plainPassword.second, "Vérifier mot de passe") }}
                            {{ form_errors(form.plainPassword.second) }}
                            {{ form_widget(form.plainPassword.second) }}
                                    </div>
                                    <div class="span4">
                            {{ form_label(form.email, "Adresse e-mail") }}
                            {{ form_errors(form.email) }}
                            {{ form_widget(form.email) }}
                                            
                            {{ form_label(form.photo, "Ajouter une photo") }}
                            {{ form_errors(form.photo) }}
                            {{ form_widget(form.photo) }}
                                        </div>
                                    </div>
                        {{ form_widget(form) }}
                                    <div>
                                        <input type="submit" value="{{ 'registration.submit'|trans }}" class="btn" style="margin-top: 10px;"/>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
{% endblock body %}